> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Create a new callout

POST https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/callouts/
Content-Type: application/json

Create a new callout

Reference: https://docs.partnerpage.io/api-reference/directory/callouts/create-a-new-callout

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required)

### Body (application/json)

This endpoint expects a CalloutSerializerWriterRequest.

- `name` (string, required)
- `textColor` (string, optional, nullable)
- `backgroundColor` (string, optional, nullable)

## Response

### 201

Successful operation

- `href` (string, required)
- `name` (string, required)
- `id` (string, required)
- `textColor` (string, optional, nullable)
- `backgroundColor` (string, optional, nullable)

## Errors

### 400 Bad Request Error

Validation Error

- `any`

## Examples

**Request**

```json
{
  "name": "string"
}
```

**Response**

```json
{
  "href": "/api/directory/private/v1alpha/directory/e2b2a65f-0972-4fb4-96bb-498a63411bb6/callouts/cdc0f6d9-9261-4e5d-956f-c980440452b7/",
  "name": "New Callout",
  "id": "cdc0f6d9-9261-4e5d-956f-c980440452b7",
  "textColor": "635BFF",
  "backgroundColor": "E8E6FF"
}
```

**SDK Code**

```python Example response
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/callouts/"

payload = { "name": "string" }
headers = {
    "Authorization": "Token  <apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example response
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/callouts/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Token  <apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```